# Class JsFileHelper

java.lang.Object
jspecview.js2d.JsFileHelper

All Implemented Interfaces:
  `JSVFileHelper`

public class JsFileHelper extends Object implements JSVFileHelper

## Constructor Summary

Constructors
Constructor
Description
`JsFileHelper()`

## Method Summary

Modifier and Type
Method
Description
`GenericFileInterface`
`getFile(String fileName, Object panelOrFrame, boolean isSave)`
`String`
`getUrlFromDialog(String info, String msg)`
`JSVFileHelper`
`set(JSViewer viewer)`
`String`
`setDirLastExported(String name)`
`void`
`setFileChooser(ExportType pdf)`
`GenericFileInterface`
`showFileOpenDialog(Object panelOrFrame, Object[] userData)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsFileHelper

public JsFileHelper()

## Method Details

### set

public JSVFileHelper set(JSViewer viewer)

Specified by:
  `set` in interface `JSVFileHelper`

### getFile

public GenericFileInterface getFile(String fileName, Object panelOrFrame, boolean isSave)

Specified by:
  `getFile` in interface `JSVFileHelper`

### setDirLastExported

public String setDirLastExported(String name)

Specified by:
  `setDirLastExported` in interface `JSVFileHelper`

### setFileChooser

public void setFileChooser(ExportType pdf)

Specified by:
  `setFileChooser` in interface `JSVFileHelper`

### showFileOpenDialog

public GenericFileInterface showFileOpenDialog(Object panelOrFrame, Object[] userData)

Specified by:
  `showFileOpenDialog` in interface `JSVFileHelper`

### getUrlFromDialog

public String getUrlFromDialog(String info, String msg)

Specified by:
  `getUrlFromDialog` in interface `JSVFileHelper`